Bug 1831000 - CVE-2020-11888 python-markdown2: python-markdown2: Unsanitized input allows for cross-site scripting (XSS) [fedora-all]
Summary: CVE-2020-11888 python-markdown2: python-markdown2: Unsanitized input allows...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-markdown2
Version: 31
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-11888
TreeView+ depends on / blocked
 
Reported: 2020-05-04 13:22 UTC by Michael Kaplan
Modified: 2020-05-25 03:20 UTC (History)
1 user (show)

Fixed In Version: python-markdown2-2.3.9-1.fc32 python-markdown2-2.3.9-1.fc31 python-markdown2-2.3.9-1.fc30
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-25 02:46:17 UTC
Type: ---


Attachments (Terms of Use)

Description Michael Kaplan 2020-05-04 13:22:28 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Michael Kaplan 2020-05-04 13:22:30 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1830999,1831000

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2020-05-16 17:00:24 UTC
FEDORA-2020-ab379d4b90 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ab379d4b90

Comment 3 Fedora Update System 2020-05-16 17:00:25 UTC
FEDORA-2020-3864f32b3d has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-3864f32b3d

Comment 4 Fedora Update System 2020-05-16 17:00:26 UTC
FEDORA-2020-5f8f90e69c has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-5f8f90e69c

Comment 5 Fedora Update System 2020-05-17 03:59:05 UTC
FEDORA-2020-5f8f90e69c has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-5f8f90e69c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5f8f90e69c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-05-17 05:05:35 UTC
FEDORA-2020-ab379d4b90 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-ab379d4b90`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ab379d4b90

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-05-17 05:31:00 UTC
FEDORA-2020-3864f32b3d has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-3864f32b3d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3864f32b3d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-05-25 02:46:17 UTC
FEDORA-2020-5f8f90e69c has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-05-25 02:56:22 UTC
FEDORA-2020-ab379d4b90 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-05-25 03:20:43 UTC
FEDORA-2020-3864f32b3d has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.